DS-Xtreme now DLDI compatible!

Discussion in 'GBAtemp & Scene News' started by Costello, Feb 8, 2007.

Feb 8, 2007

DS-Xtreme now DLDI compatible! by Costello at 2:29 PM (2,074 Views / 0 Likes) 7 replies

  1. Costello
    OP

    Administrator Costello Headmaster

    Joined:
    Oct 24, 2002
    Messages:
    12,031







    DS-Xtreme now DLDI compatible!

    Great news for the DS-Xtreme owners!








    Yes, great news indeed for all the DS-Xtreme owners! The DS-X team have released a DLDI interface for their flashcart! This means increased and future-proof homebrew compatibility. Here is the official word from the DS-X team:

    [​IMG] Download the DLDI interface for DS-Xtreme here

    [​IMG] Click here to read the news on the official DS-X website.


     
  2. Omero

    Former Staff Omero Former Admin

    Joined:
    Oct 23, 2002
    Messages:
    907
    Location:
    Milan, Italy
    Country:
    Italy
    Love love love love it!

    The only regret I had about ds-x now is gone [​IMG]
     
  3. zatelli

    Member zatelli GBAtemp Advanced Fan

    Joined:
    Jun 27, 2003
    Messages:
    540
    Location:
    Always on the move...
    Country:
    France
    This is great news for DS-X owners indeed. This fixes one of its major drawbacks. [​IMG]
     
  4. jelbo

    Member jelbo Ōkami!

    Joined:
    Sep 12, 2003
    Messages:
    807
    Location:
    Netherlands
    Country:
    Netherlands
    So, does it actually result in ScummVM DS working?
     
  5. thegame07

    Member thegame07 GBAtemp Psycho!

    Joined:
    Oct 16, 2006
    Messages:
    3,860
    Country:
    United Kingdom
    [​IMG] yeah im not sure how this works. do you have to patch homebrew that does not work ? [​IMG]
     
  6. Omero

    Former Staff Omero Former Admin

    Joined:
    Oct 23, 2002
    Messages:
    907
    Location:
    Milan, Italy
    Country:
    Italy
    It's still "so and so".

    The new DLDI drivers doesn't seem to work properly, because of a bug/misunderstanding in the libfat. Chism will fix it in next libfat release.

    For full story, read the whole thread here (especially from page 6 onwards):
    http://forums.ds-xtreme.com/showthread.php?t=2667

    If that's done, DS-X won't ever need DLDI patching, but will auto-patch and work with 99% of the homebrew automagically, AFAIK.
     
  7. kev3458

    Member kev3458 GBAtemp Regular

    Joined:
    Sep 19, 2006
    Messages:
    214
    Country:
    Canada
    Great news, hope they fix it soon [​IMG]
     
  8. fli_guy84

    Member fli_guy84 GBAtemp Fan

    Joined:
    Nov 20, 2006
    Messages:
    319
    Country:
    Malaysia

Share This Page